# ActiveGrasp

## Installation

1. Restore the conda environment.

    ```
    conda env create -f environment.yaml
    ```

2. Go to the root directory and install the project locally using `pip install -e .`.

3. Build ConvONets dependents by running `python scripts/convonet_setup.py build_ext --inplace`.

4. Download .urdf and .obj file of objects.

5. Build dataset.

    ```
    python data/data_generator.py
    python data/save_occ_data_parallel.py  # optional
    ```

6. Train the model.

    ```
    python train.py
    ```

    param：epochs, batch_size, learning_rate, etc

7. Simulate the grasp.

    ```
    python grasp.py
    ```

8. Transcode log video.

    ```
    python scripts/h264_encoder.py
    ```


### Acknowlegements
This code is adapted from [UT-Austin-RPL/GIGA](https://github.com/UT-Austin-RPL/GIGA) and [ethz-asl/active_grasp](https://github.com/ethz-asl/active_grasp). Thanks a lot for their great work!